@ECHO OFF

SET "out_folder=%~dp0\output"
SET "clean_rom=rom\Castlevania - Dracula X (USA).sfc"
SET "patched_rom=%out_folder%\cdx_remove_pits.sfc"
SET "asm_file=code\MAIN.asm"

IF NOT EXIST "%out_folder%" MKDIR "%out_folder%"
IF EXIST "%patched_rom%" DEL "%patched_rom%"

COPY "%clean_rom%" "%patched_rom%"

bin\asar.exe --fix-checksum=off "%asm_file%" "%patched_rom%"
bin\flips.exe --create --ips "%clean_rom%" "%patched_rom%" "%out_folder%\cdx_remove_pits.ips"

PAUSE